package adminkindboxservice

import (
	"context"

	param "git.gocasts.ir/ebhomengo/niki/param/admin/kind_box"
	richerror "git.gocasts.ir/ebhomengo/niki/pkg/rich_error"
)

func (s Service) Get(ctx context.Context, request param.KindBoxGetRequest) (param.KindBoxGetResponse, error) {
	const op = "adminkindboxservice.Get"

	kindBox, err := s.repo.GetKindBox(ctx, request.KindBoxID)
	if err != nil {
		return param.KindBoxGetResponse{}, richerror.New(op).WithErr(err)
	}

	return param.KindBoxGetResponse{KindBox: kindBox}, nil
}
